Subject: bug#61159: closed (Re: bug#61159: 3 test failures)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 30 Jan 2023 01:43:02 +0000

Your bug report

#61159: 3 test failures

which was filed against the sed package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61159: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61159
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61159: 3 test failures
From: Jim Meyering <[email-masked]>
To: Bruno Haible <[email-masked]>
Cc: [email-masked]
Date: Sun, 29 Jan 2023 17:42:21 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Jan 29, 2023 at 4:13 PM Bruno Haible <[email-masked]> wrote:
> On Ubuntu Linux/x86_64, after building the current sed git repo
> with the current Gnulib, I get 3 test failures:
>
> FAIL: testsuite/compile-errors
> FAIL: testsuite/mb-y-translate
> FAIL: testsuite/normalize-text
>
> All three are consequences of the commit on 2023-01-02
> "maint: reword to avoid a too-long-line warning".

Thanks for catching this. I've just pushed a fix.

> To catch such failures sooner, should I set up a continuous integration
> that does a "make check" once every week? (I have such CIs already for
> Gnulib, gettext, and a couple of other projects. It's cheap to maintain.)

Yes, please. Thanks!

Subject: 3 test failures
From: Bruno Haible <[email-masked]>
To: [email-masked]
Date: Mon, 30 Jan 2023 01:11:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Jim,

On Ubuntu Linux/x86_64, after building the current sed git repo
with the current Gnulib, I get 3 test failures:

FAIL: testsuite/compile-errors
FAIL: testsuite/mb-y-translate
FAIL: testsuite/normalize-text

All three are consequences of the commit on 2023-01-02
"maint: reword to avoid a too-long-line warning".

To catch such failures sooner, should I set up a continuous integration
that does a "make check" once every week? (I have such CIs already for
Gnulib, gettext, and a couple of other projects. It's cheap to maintain.)

Bruno